Package org.apache.tapestry5.http.internal.services

## Class OptimizedSessionPersistedObjectAnalyzer

- java.lang.Object
- - org.apache.tapestry5.http.internal.services.OptimizedSessionPersistedObjectAnalyzer

- All Implemented Interfaces:
    `SessionPersistedObjectAnalyzer<OptimizedSessionPersistedObject>`

      public class OptimizedSessionPersistedObjectAnalyzer
      extends java.lang.Object
      implements SessionPersistedObjectAnalyzer<OptimizedSessionPersistedObject>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OptimizedSessionPersistedObjectAnalyzer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `checkAndResetDirtyState​(OptimizedSessionPersistedObject sessionPersistedObject)` | Atomically check and reset the dirty state of the session persisted object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OptimizedSessionPersistedObjectAnalyzer

          public OptimizedSessionPersistedObjectAnalyzer()

  - ### Method Detail

    - #### checkAndResetDirtyState

          public boolean checkAndResetDirtyState​(OptimizedSessionPersistedObject sessionPersistedObject)

      Description copied from interface: `SessionPersistedObjectAnalyzer`
      Atomically check and reset the dirty state of the session persisted object. The implementer should take consideration for the fact that session attributes are accessed concurrently. A naive check/set algorithm may allow changes to go un-noticed.
      Specified by:
        `checkAndResetDirtyState` in interface `SessionPersistedObjectAnalyzer<OptimizedSessionPersistedObject>`
      Parameters:
        `sessionPersistedObject` - the session attribute (never null)
      Returns:
        true if the object needs to be re-stored into the session